// OptionsDialog.cpp : implementation file
//

#include "stdafx.h"
#include "FccDemo.h"
#include "OptionsDialog.h"


// COptionsDialog dialog

IMPLEMENT_DYNAMIC(COptionsDialog, CDialog)

COptionsDialog::COptionsDialog(CWnd* pParent /*=NULL*/)
	: CDialog(COptionsDialog::IDD, pParent)
	, m_faceQualityThreshold(0)
{
	DefaultValues();
}

COptionsDialog::~COptionsDialog()
{
}

void COptionsDialog::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT1, m_minIOD);
	DDV_MinMaxInt(pDX, m_minIOD, 10, 250);
	DDX_Text(pDX, IDC_EDIT2, m_maxIOD);
	DDV_MinMaxInt(pDX, m_maxIOD, 10, 250);
	DDX_Text(pDX, IDC_EDIT6, m_faceQualityThreshold);
	DDV_MinMaxInt(pDX, m_faceQualityThreshold, 0, 255);
	DDX_Text(pDX, IDC_EDIT3, m_genThreshold);
	DDV_MinMaxDouble(pDX, m_genThreshold, 0.0, 1.0);
	DDX_Text(pDX, IDC_EDIT4, m_genCount);
	DDV_MinMaxInt(pDX, m_genCount, 3, 10);
	DDX_Text(pDX, IDC_EDIT5, m_matchThreshold);
	DDV_MinMaxDouble(pDX, m_matchThreshold, 0.0, 1.0);
}


BEGIN_MESSAGE_MAP(COptionsDialog, CDialog)
	ON_BN_CLICKED(IDDEFAULT, &COptionsDialog::OnBnClickedDefault)
END_MESSAGE_MAP()

// COptionsDialog message handlers

void COptionsDialog::DefaultValues()
{
	m_minIOD = 40;
	m_maxIOD = 250;
	m_faceQualityThreshold = 128;
	m_genThreshold = 0.625;
	m_genCount = 3;
	m_matchThreshold = 0.650;
}

void COptionsDialog::OnBnClickedDefault()
{
	DefaultValues();
	UpdateData(FALSE);
}
